This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 748174 - Add code highlight/completion support for Bundle recipes in RHQ UI
Add code highlight/completion support for Bundle recipes in RHQ UI
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI, Usability, Provisioning (Show other bugs)
unspecified
Unspecified All
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-22 14:55 EDT by Rafael Soares (Tuelho)
Modified: 2011-10-31 11:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rafael Soares (Tuelho) 2011-10-22 14:55:01 EDT
Description of problem:

Would be nice to have a something like smart editor for Bundle recipe creation. Bundle recipe creation is not user friendly (from the Admin point of view). Smart editors with code complete/highlighting would be very useful not only for bundle recipes, but for whatever plugins that make use of some kind of DSL to work (eg. ByteMan plugin, Script plugin for Ruby/Groovy/etc).

Looking for some kind of smart editors to use in Web UI based app I found [1] and [2]. There is a JS editor demo [3] too.

[1] http://code.google.com/p/gwt-codemirror/
[2] http://codemirror.net
[2] http://codemirror.net/demo/complete.html


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.